import sys
from synth import *

base_mod = 1.0

bimod = .075
err = False

if len(sys.argv) > 1:
    try:
        base_mod = float(sys.argv[1])
    except:
        err = True
if len(sys.argv) > 2:
    try:
        bimod = float(sys.argv[2])
    except:
        err = True
if len(sys.argv) > 3 or err:
    print("Usage : %s [freq] [stereo_diff]" % sys.argv[0])
    exit(1)

bm = base_mod

while True:

    wv0 = sinwave(0.02 * bm)
    r0 = wv0

    bm += bimod

    wv0 = sinwave(0.02 * bm)
    r1=wv0

    samples = output_sampler(r0, r1)
    while True:
        sys.stdout.buffer.write(next(samples))

